﻿/* Project Futon CSS Document */

/* Table of Contents
____________________________________________________
- Global
  - Font
  - Navgiation
  - Layout
  - Breadcrumbs
  - Buttons
  - Tooltips
  - Forms
  - Sections
  - Footer
  - Modals

- Pages
  - Homepage
  - Schedules
  - SOFA
  - Generate PDFs
----------------------------------------------------*/


/* ---------- Font ---------- */

html {
    font-family: 'Lato', sans-serif;
    font-weight: 400;
    font-size: 100% !important;
    color: #253856;
}

body,
.sidebar {
    font-family: 'Lato', sans-serif;
}

.sidebar {
    /* height: 100vh; */
}

input, input[type="checkbox"] {
    font-size: .9rem;
    font-weight: normal;
}

.navbar {
    font-family: 'Lato', sans-serif;
    font-size: 1.1rem;
}

i.fa {
    font-size: 18px;
}

a{
    cursor:pointer;
}

.font-sm,
input,
input[type="checkbox"] {
    font-size: .8rem;
    font-weight: normal;
}

.font-smaller {
    font-size: .7rem;
    font-weight: normal;
}

.text-primary {
    color: #F2825F !important;
}
.bold {
    font-weight: bold;
}

/* ---------- Navigation ---------- */

/* -- Navbar -- */

.navbar {
    background-color: #253856 !important;
    width: 100%;
}

.navbar-brand {
    border: 0 !important;
}

ul.nav.navbar-nav.navbar-left {
    width: 100%;
}

.navbar-nav .form-group .form-control, .input-group .form-control {
    padding: 19px 18px 19px 18px;
}

.navbar ul.navbar-nav li .breadcrumb,
.navbar ul.navbar-nav li .navbar-header,
.navbar ul.navbar-nav li .input-group  {
    height: 60px !important;
    margin-bottom: 0;
}

.navbar ul.navbar-nav li.breadcrumb-item {
    padding-top: 2px;
}

.navbar ul.navbar-nav li.breadcrumb-item a:hover {
    color: #D9DBE0;
}

.nav>li>a:focus, .nav>li>a:hover {
    text-decoration: none;
    background-color: transparent;
}

.nav>li.top-nav-icons>a:hover .zmdi {
    color: #D9DBE0;
}

.ls-closed .bars {
    color: #fff !important;
}
a:hover .ls-closed .bars {
    color: #D9DBE0;
}

.navbar ul.navbar-nav li .navbar-header a img,
.navbar ul.navbar-nav li .navbar-header a span {
    display: inline-block;
}

.navbar ul.navbar-nav li .navbar-header {
    padding-top: 15px;
}

.navbar-nav  .breadcrumb {
    background-color: transparent;
    border-radius: .25rem;
    padding-top: 12px;
}

.navbar-nav .form-control {
    border: 1px solid #FFF;
}

.m-l-10, .navbar-nav.navbar-left .input-group {
    margin-left: auto;
}

.navbar-nav .input-group-addon {
    border: 1px solid #FFF;
    border-left: none;
    height: 40px;
}

/* Chrome/Opera/Safari
::-webkit-input-placeholder {
color: #fff !important;
} */
/* Firefox 19+
::-moz-placeholder {
  color: #fff !important;
}*
/* IE 10+
:-ms-input-placeholder {
  color: #fff !important;
} */
/* Firefox 18-
:-moz-placeholder {
color: #fff !important;
} */

.breadcrumb-item+.breadcrumb-item::before {
    color: #fff;
}

/*.overlay {
    margin-top: 61px;
}*/

/* sidebar */

.sidebar {
    top: 61px;
}

.sidebar .nav-tabs {
    padding: 17px 10px 7px;
}

.nav-tabs > .nav-item > .nav-link {
    font-size: 1rem;
    padding: 6px 23px;
    border: 1px solid #253856;
    border-radius: 30px;
    margin-left: 5px;
    margin-right: 5px;
}

.nav-tabs > .nav-item > .nav-link.active {
    border: 1px solid #F2825F;
    border-radius: 30px
}

.sidebar .menu .list a {
    color: #51617C;
}

.theme-green .nav-tabs .nav-link.active {
    border: 1px solid #F2825F !important;
}

.theme-green .sidebar .menu .list a:hover {
    color: #F2825F;
}

.sidebar .menu .list .header {
    font-size: 1rem;
}

.sidebar li.header {
    font-size: 1rem;
}

/* -- search results -- */

#srch-results {
    position: relative;
    background: transparent;
    position: fixed;
    right: 0;
    z-index: 10000;
    height: auto;
    max-height: 50vh;
    overflow-y: auto;
    overflow-x: hidden;
    box-shadow:
    0 6px 10px 0 rgba(0,0,0,0.14),
    0 1px 18px 0 rgba(0,0,0,0.12),
    0 3px 5px -1px rgba(0,0,0,0.2);
    width: calc(100% - 250px);
}

#srch-res-table {
    z-index: 1000;
    background: rgba(236,237,239, .9);
    min-width: 750px;
    padding-left: 15px;
    padding-right: 15px;
    margin-bottom: 0;
    width: 100% !important;
}

#srch-res-table tr {
    padding-left: 0;
    padding-right: 0;
}
#srch-res-table tr:not(:last-child) {
    border-bottom: 1px solid #D9DBE0;
}

#srch-res-table td,
#srch-res-table th {
    padding: 15px 15px 15px 25px;
}


/*table#srch-res-table {
    width: 50%;
}*/


/* ---------- Layout ---------- */
.content-wrapper {
    margin-bottom: 50px;
}

.flex {
    display: flex;
}

.fix-height {
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
}

/* ----- Form Layout ----- */

.sticky {
    position: fixed;
    top: 60px;
    right: 0;
    width: calc(100% - 250px);
    max-width: 100%;
    z-index: 10;
}
.sticky {
    position: fixed !important;
    top: 60px;
    right: 0;
    width: calc(100% - 250px);
    max-width: 100%;
    z-index: 10

}
.ls-toggle-menu .sticky {
    width: 100%
 }


.part-container p {
    padding-bottom: 5px;
}

/* ---------- Breadcrumb ---------- */

ol.breadcrumb {
    margin-bottom: 0;
    height: 51px;
    background: #fff;
    margin-right: auto;
}

    ol.breadcrumb li.breadcrumb-item {
        font-size: 20px;
    }

.top-nav-breadcrumb .breadcrumb .nav-link.dropdown-toggle {
    padding: 0;
}

.dropdown-toggle::after {
    content: none;
}


/* ---------- Buttons & Links ---------- */

.btn {
    border-radius: 30px;
}

.btn-primary,
.btn-default,
.btn-sm {
    background-color: #253856 !important;
    color: #fff !important;
}

.btn, .btn-sm, .btn-lg{
    cursor:pointer;
}

.btn:hover {
    box-shadow:
        0 6px 10px 0 rgba(0,0,0,0.14),
        0 1px 18px 0 rgba(0,0,0,0.12),
        0 3px 5px -1px rgba(0,0,0,0.2);
}


/* ---------- Tooltips ---------- */

.bs-tooltip-top,
.bs-tooltip-top .arrow {
    margin-right: -200px;
}


/* ---------- Forms ---------- */

.unlockedSummable {
    background-color: #e0e3e5;
    padding: 10px 7px 3px 3px;
}

input, textarea {
    width: 100%;
    border: 1px solid #253856;
    padding: 1px;
    outline: none;
}

.form-control {
    border: 1px solid #253856;

}

input[type="checkbox"] {
    width: 20px;
}

textarea {
    resize: both;
    overflow: auto;
    width: 100%;
}

.question-input-row {
    margin-top: 5px;
    margin-bottom: 10px;
    border-bottom: 1px solid #D9DBE0;
}

.note-row {
    margin-bottom: 10px;
}

.delete-input-row {
    text-align: right;
    width: 100%;
    padding: 10px 0;
    font-size: 12px;
}
.delete-input-row i.fa.fa-trash {
    padding-left: 10px;
    text-align: right;
    font-size: 14px;
}

.radio input[type="radio"] {
    opacity: unset;
    position: absolute;
    visibility: visible;
    top: 6px;
}

.radio label::before, .radio label::after {
    border: none;
}

.sheets .unlock,
.liabilities .unlock,
.answer .unlock,
.assets .unlock {
    background: white url(/images/unlock.png) left no-repeat; /* If on the right, the scrollbar in the textarea hides it */
}

.unlock{
    height:30px;
    width:30px;
    background: url(/images//unlock.png) 85% no-repeat;
}
.lock {
    height: 30px;
    width: 30px;
    background: url(/images//lock.png) 85% no-repeat;
}

.invalidCurrency {
    border: 1px solid red;
}

.tabulate {
    background: transparent url(/images/calculator.png) no-repeat;
    background-size: 15px;
    background-position: right 7px top 5px;
}

.tabule-display {
    background: transparent url(/images/pdf.png) no-repeat;
    background-size: 15px;
    background-position: right 7px top 5px;
}

.summation-input {
    background: #EEEEEE url(/images/calculator.png) no-repeat;
    background-size: 15px;
    background-position: right 7px top 5px;
}

open-note-button {
    padding-left: 5px;
}

/* ---------- Footer ---------- */

footer.sticky-footer {
    background-color: #D9DBE0;
}

/* ---------- Modals ---------- */

.modal.fade.show {
    background: rgba(81,97,124, 0.6);
    margin-left: 250px;
}

.modal-dialog {
    width: 90% !important;
    max-width: 960px !important

}

.modal-dialog table td {
    vertical-align: middle;
}

.table-condensed > tbody > tr > td,
.table-condensed > tbody > tr > th,
.table-condensed > tfoot > tr > td,
.table-condensed > tfoot > tr > th,
.table-condensed > thead > tr > td,
.table-condensed > thead > tr > th {
    vertical-align: middle;
}

.modal-header {
    padding-bottom: 20px !important;
    background: #ECEDEF;
}

.modal-title {
    margin-right: auto !important;
}

.modal .modal-header .close {
    color: #253856;
    margin-top: 0;
    padding: 0px 15px;
    opacity: 1;
}
.modal .modal-header .close:hover, .modal .modal-header .close:focus {
    opacity: .5;
}

.modal-footer .btn-default {
    margin-left: auto!important
}
.modal-footer .btn-primary {
    margin-right: auto !important
}

#nameAddressModal .modal-body table .btn.btn-sm.btn-primary {
    background: #fff !important;
    border: 1px solid #51617C;
    color: #51617C !important
}
    #nameAddressModal .modal-body table .btn.btn-sm.btn-primary:hover {
        background: #51617C !important;
        border: 1px solid #51617C;
        color: #FFF !important;
    }

div#dropZone {
    border: 2px dotted #F2825F;
}
.uploadFileDrop:before {
    color: #F2825F;
}
div#dropZone .content {
    color: #51617C;
}


/* -- Export Import Services Modal -- */

.exportImportMainMenuButton {
    cursor: pointer;
    padding: 16px 30px;
    font-size: 16px;
    color: white;
    background-color: #253856;
    width: 40%;
    display: inline-block;
}

.exportImportMainMenuButton:hover {
    background-color: #19263b;
}

.exportImportModalBodyHeader {
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;
    background-color: white;
    z-index: 100;
}

/* -- END - Export Import Services Modal -- */



/* -- Name and Address Modal -- */

#nameAddressModal .modal-body .btn-info {
   padding: 8px 15px;
   margin-top: 0;
}

#nameAddressModal .modal-body {
    margin-bottom: 30px;
}

#nameAddressModal .modal-footer {
    padding-top: 20px;
    border-top: 1px solid #51617C;
}

#nameAddressModal .modal header,
#nameAddressModal .modal-body,
#nameAddressModal .modal-footer {
    padding: 20px 10px;
}

/* table */

#nameAddressModal table {
    border-bottom: 1px solid #D9DBE0
}

#nameAddressModal tbody > tr > td,
#nameAddressModal tbody > tr > th,
#nameAddressModal tfoot > tr > td,
#nameAddressModal tfoot > tr > th,
#nameAddressModal thead > tr > td,
#nameAddressModal thead > tr > th {
    text-align: left
}

#nameAddressModal tbody > tr > td {
    padding-top: 5px;
    padding-bottom: 5px;
}

#nameAddressModal tbody > tr > td input {
    border: 1px solid #51617C;
}



/* Pages
____________________________________________________*/
/* ---------- Login ---------- */
#login {
    margin-top: 140px
}

#login .btn {
    background: #253856;
    color: #fff
}

.login-card .control-label {
    display: block;
}

@media (min-width: 768px) {
    .form-horizontal .control-label {
        padding-top: 7px;
        margin-bottom: 0;
        text-align: left;
    }
}

.login-card {
    max-width: 500px;
    margin: 0 auto;
    box-shadow:
    0 6px 10px 0 rgba(0,0,0,0.14),
    0 1px 18px 0 rgba(0,0,0,0.12),
    0 3px 5px -1px rgba(0,0,0,0.2);
    padding: 30px 20px;
    border-radius: 5px;
    background: #F5F6F8;
}

.login-card h3 {
    margin-bottom: 10px;
}

.login-card .btn {
    width: 100%;
    margin-top: 20px;
}

/* ---------- Forms Page ---------- */

td span.glyphicon.glyphicon-menu-down.form-row {
    display: inline-block;
    padding-right: 10px;
    margin-left: 1px;
}

.form-subrow td a {
   margin-left: 18px;
}

/* ---------- Project Add Page ---------- */

select#Project_CaseId {
    width: 100%;
    border: 1px solid #46546A;
    padding: 14px;
    border-radius: 50%;
    height: 27px;
    background: transparent;
}


/* ---------- Schedules ---------- */
.content-wrapper {
    padding: 20px

}

.part-heading {
    background: #D9DBE0;
    padding: 10px 10px 2px;
    box-shadow: 0px 0px 2px #D9DBE0;
    margin-bottom: 10px;
    z-index: 10;
    position: relative;
}

.part-heading .dropdown {
    display: inline-block;
    margin-right: 10px;
    padding-right: 10px;
    border-right: 1px solid #253856;
}

.part-heading h5 {
    margin-bottom: .5rem;
}

.dropdown.open .dropdown-menu.show {
    -webkit-transform: translate3d(0, -25px, 0);
    -moz-transform: translate3d(0, -25px, 0);
    -o-transform: translate3d(0, -25px, 0);
    -ms-transform: translate3d(0, -25px, 0);
    transform: translate3d(0, -25px, 0);
    visibility: visible;
    display: block;
    opacity: 1;
    transform: none !important;
    top: 30px !important;
    left: auto;
}

.save-status-message {
    padding-right: 10px;
}

.part-container {
    padding: 10px 20px;
    box-shadow: 0px 0px 2px #D9DBE0;
}

.question-container {
    border-bottom: 1px solid #A1A6AF;
    padding: 10px 0;
    margin-bottom: 10px;
}

.question-container .row,
.question-heading .row {
    margin-right: -5px;
    margin-left: -5px;
}

.question-container div[class^="col-"],
.question-heading div[class^="col-"]{
    padding-right: 5px;
    padding-left: 5px;
}

.part-container p {
    margin-bottom: 0;
    font-size: .9rem;
}

.part-container .question p {
    font-weight: bold;
}

.part-container p.font-sm {
    font-size: .8rem;
    font-weight: normal;
}

.answer input {
    margin-bottom: 10px
}

.question-container .answer,
.question-container .answer-number {
    /*font-size: .9rem;*/
    margin-bottom: 10px
}

    .question-container .answer-number .font-sm,
    .question-container .answer-number.font-sm {
        font-size: .8rem;
        font-weight: normal;
    }

    .question-container .answer input::placeholder {
        color: #D4D7DB;
    }

.answer i.fa {
    padding-left: 10px;
}

.answer .text-display {
    margin-bottom: 5px;
    border-bottom: 1px solid black;
    min-height: 1em;
}
    .answer .text-display.empty:after {
        content: '.';
        visibility: hidden;
    }

.question-container .answer-number {
    /*width: 20px;*/
    display: inline-block;
    float: left;
}

.question-container .left-margin-calc /*,
.question-container .left-margin-calc p */ {
    width: calc(100% - 35px);
    display: inline-block;
    float: right;
    margin-bottom: 10px;
}

.question-container .add-account {
    margin-top: 20px;
}

.question-heading {
    margin-bottom: 10px;
}

.heading-col {
    background: #D4D7DB;
    padding: 5px;
    width: 100%;
    font-weight: bold;
}

.question-heading .heading-sub-col {
    background: #f1f2f3;
    padding: 5px;
    width: 100%;
    margin-top: 10px;
    font-weight: bold;
}

.question-heading-row {
    margin-bottom: 10px;
}

.icon-right {
    float: right;
    margin-top: 5px;
}

.inline-form-label span {
    display: inline-block;
    width: 100px;
}

.inline-form-label input {
    width: calc(100% - 100px);
    display: inline-block;
    float: right;
}

input[type="text"].input-sm {
    width: 100px;
}

input[type="text"].input-xs {
    width: 50px;
}
.answer.add-line {
    width: calc(100% - 30px);
    display: inline-block;
}

.question-input-row .answer i.fa.fa-trash {
    font-size: 14px;
    padding-top: 5px;
}

.question-input-row .answer.currency > span {
    vertical-align: top;
}

.question-input-row .answer.currency input, .question-input-row .answer.currency textarea, .question-input-row .answer.currency .text-display {
    width: calc(100% - 14px);
}
    .question-input-row .answer.currency .text-display
    {
        display:inline-block;
    }

.question-input-row .answer.percentage input {
    width: calc(100% - 15px);
}

.question-input-row .answer.delete-icon input,
.question-input-row .answer.delete-icon textarea {
    width: calc(100% - 21px)

}

.question-input-row .answer.delete-icon.currency input {
    width: calc(100% - 33px);
}

.question-input-row .answer input.minus-icon {
    width: calc(100% - 13px);
}

.question-input-row .answer span.minus {
    padding-left: 5px;
}

.question-input-row .answer span.fullname,
.question-input-row .answer span.address,
.question-input-row .answer span.phone {
    display: block;
}

name-address {
    display: block;
    padding: 10px;
    padding-left: 0;
    padding-right: 0;
}

.answer:not(:first-child) name-address {
    border-top: 1px solid #51617C;
}

.number-border {
    border: 1px solid #000;
    padding: 0 2px;
}


/* summary table */
table,
td,
th {
    border-collapse: collapse !important;
}

.schedule-summary-table table thead th,
.schedule-summary-table table tr td {
    border: 1px solid #D9DBE0 !important;
}

.cell-no-data {
    background: #BEC6D1;
}

.schedule-summary-table table tbody,
.schedule-summary-table table tr,
tbody.cell-no-border,
.schedule-summary-table table,
.schedule-summary-table table tr td.cell-no-border {
    border: 0 !important;
}

.table tr td {
    padding: 10px;
    vertical-align: middle;
}

.table input {
    border: none;
}

.table input {
    border: none;
}

input[type="radio"] {
    display: inline-block;
    width: auto;
    margin: 0 5px 0 15px;
}

.table tr td.cell-padding {
    padding: 10px;
}


/* ---------- Signatures ---------- */

.signature-row {
    margin-bottom: 10px;
}


/* ---------- SOFA ---------- */

.inline-form-50 span {
    display: inline-block;
    width: 30px;
}

.inline-form-50 input {
    width: calc(100% - 30px);
    display: inline-block;
    float: right;
}

.inline-form-50 p {
    display: inline-block;
}

.sub-question {
    margin-left: 50px
}

.inline-form-20 span {
    display: inline-block;
    width: 10px;
}

.inline-form-20 input {
    width: calc(100% - 20px);
    display: inline-block;
    float: left;
    margin-right: 10px;
}

.inline-form-35 span {
    display: inline-block;
    width: 35px;
}

.inline-form-35 input {
    width: calc(100% - 35px);
    display: inline-block;
    float: right;
}

.hide-question-heading {
    display: none;
}

.date > input{
    text-align:center !important;
}


/* ---------- Generate PDFs ---------- */

.option-row {
    padding-bottom: 20px;
    border-bottom: 1px solid #51617C;
    margin-bottom: 20px;
}

    .option-row:first-child {
        padding-top: 20px;
        border-top: 1px solid #51617C;
    }

.option-title p {
    font-size: 18px;
}

.schedule-options,
.header-left-text,
.header-right-text,
.footer-left-text,
.footer-right-text {
    display: none;
}

.show-options {
    display: block;
}

.show-options {
    -webkit-animation: fadein 1s; /* Safari, Chrome and Opera > 12.1 */
    -moz-animation: fadein 1s; /* Firefox < 16 */
    -ms-animation: fadein 1s; /* Internet Explorer */
    -o-animation: fadein 1s; /* Opera < 12.1 */
    animation: fadein 1s;
}

@keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Internet Explorer */
@-ms-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.schedule-options,
.header-left-text,
.header-right-text,
.footer-left-text,
.footer-right-text {
    background: #EFF0F3;
    padding: 10px;
}

.options p {
    margin-bottom: 10px;
}

.option-row .legend {
    margin-top: 20px;
    border: 1px solid #D9DBE0;
    background: #EFF0F3;
    padding: 10px

}

    .option-row .legend span {
        margin-right: 20px;
    }

.file-name-input span {
    display: inline-block;
    width: 50px;
}

.file-name-input input {
    width: calc(100% - 50px);
    display: inline-block;
    float: left;
}

.file_manager .file .image, .file_manager .file .icon {
    height: 80px;
}

/* Fix navbar/breadcrumbs on smaller viewports */

.navbar {
    z-index: 100;
}

ul.list > li:last-child {
    margin-bottom: 160px;
}

#project-breadcrumbs li a {
font-size: .9rem;
}

ul.nav.navbar-nav.navbar-left > li:nth-child(1) {
    width: 245px;
}
ul.nav.navbar-nav.navbar-left > li:nth-child(2) {
    width: calc(100% - 604px);
}
ul.nav.navbar-nav.navbar-left > li:nth-child(3) {
    width: 120px;
}
ul.nav.navbar-nav.navbar-left > li:nth-child(4) {
    width: 239px;
}

@media (max-width: 1169px) {
ul.nav.navbar-nav.navbar-left > li:nth-child(1) {
    width: 245px;
}
ul.nav.navbar-nav.navbar-left > li:nth-child(2) {
    width: calc(100% - 601px);
}
ul.nav.navbar-nav.navbar-left > li:nth-child(3) {
    width: 76px;
}
ul.nav.navbar-nav.navbar-left > li:nth-child(4) {
    width: 239px;
}
.navbar-nav .breadcrumb {
    padding: 5px !important;
}
.navbar ul.navbar-nav li.breadcrumb-item {
    padding-top: 0px;
}
}


body {
    background-color: red;
}
